<template>
  <LessonDesc
    :lesson-num="lessonNum"
    :tasks="tasks"
    has-playground
  >
    <template #desc>
      Vue Framework is component based framework where the components have
      parent child relationships. Components use props and emits to relay data between each other.
      This lesson will be about creating reusable components and later using them.
    </template>
    <!-- <template #playground>
      Uncomment me for playground
    </template> -->
  </LessonDesc>
</template>

<script>
import LessonDesc from '@/components/LessonDesc.vue';

export default {
  name: 'Lesson2',
  components: {
    LessonDesc,
  },
  data() {
    return {
      lessonNum: 3,
      tasks: [
        'Create a <b>PARENT</b> component that has <ul class="list-disc pl-8"><li>Header</li><li>Body</li><li>Footer</li></ul> <p>Header component accepts optional heading text and displays number of times a button was clicked in body.</p><p>Body component accepts array of numbers (1,2,3...) and instantiates a child component and passes number through prop to the child component.</p><p>Footer component accepts prop that controls if the footer is visible, by default its visible.</p>',
        'Create a <b>CHILD</b> component that accepts a number and contains a clickable button. After clicking child component increment parent component state.',
        'General styling for both components is left to devs',
        'Create second version of the component pair without use of "events".',
      ],
    };
  },
};
</script>
